BDU:2019-00226: Уязвимость функции oup_body_input_stream_read_chunked библиотеки libsoup графического интерфейса GNOME операционных систем Linux, позволяющая нарушителю выполнить произвольный код или вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции функции oup_body_input_stream_read_chunked (libsoup/soup-body-input-stream.c) библиотеки libsoup графического интерфейса GNOME операционных систем Linux вызвана переполнением буфера в стеке. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольный код или вызвать отказ в обслуживании с помощью специально сформированного HTTP-запроса
Вендор Сообщество свободного программного обеспечения
Наименование ПО libsoup
Версия ПО
  • 2.58
Тип ПО Сетевое программное средство
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Linux .
Тип ошибки Переполнение буфера в стеке
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 02.08.2017
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)
Возможные меры по устранению уязвимости
Обновление программного обеспечения до более поздней версии, устраняющей уязвимость
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Информация об устранении отсутствует
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения